QGIS Application - Bug report #4899
Features with null attributes cause segfault after click on Classify
2012-01-26 04:47 PM - cgsbob -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 14711
Description

| have a point feature in which one of its attribute has a few nulls. After | click on Classify using the Categorized renderer, | get a segfault:
http://pastebin.com/CDxBC4ma . If | replace these nulls with something else | do not get a segfault. | am using "Quantum GIS -
1.9.90-Alpha 'Alpha’ (956995c)" on 64 bit Ubuntu 11.10

Related issues:
Related to QGIS Application - Bug report # 5196: QGIS crashes on style > cate... Closed 2012-03-17

History

#1 - 2012-01-27 06:46 AM - Giovanni Manghi
- File teste_shp.zip added
- Status changed from Open to Feedback

Does not happen with the attached test layer. Please attach a sample data that causes the problem.

#2 - 2012-01-29 09:18 PM - cgsbob -

| was able to view your file just fine, but when | classified the teste attribute, qgis crashed. So, | am guessing that classifying integer fields are fine, but

classifying text will cause a segfault.

#3 - 2012-01-30 01:47 AM - Giovanni Manghi

cgsbob - wrote:

| was able to view your file just fine, but when | classified the teste attribute, qgis crashed. So, | am guessing that classifying integer fields are fine,
but classifying text will cause a segfault.

Then it should be something in your local installation, as | use also Ubuntu 11.10 64bit and qgis master.

Can you check on another machine? do a clean install?

#4 - 2012-01-30 08:16 AM - cgsbob -

Giovanni Manghi wrote:
http://pastebin.com/CDxBC4ma

cgsbob - wrote:

| was able to view your file just fine, but when | classified the teste attribute, qgis crashed. So, | am guessing that classifying integer fields are fine,

but classifying text will cause a segfault.

Then it should be something in your local installation, as | use also Ubuntu 11.10 64bit and qgis master.

Can you check on another machine? do a clean install?

| take it that you were able to classify on the attribute teste without a crash? What revision are you using? I'll clean up my system and do a fresh install and

report back.

#5 - 2012-01-30 08:18 AM - Giovanni Manghi

| take it that you were able to classify on the attribute teste without a crash? What revision are you using?

| do. I'm using qgis master, Ubuntu 11.10 64 bit.

#6 - 2012-01-30 11:12 AM - cgsbob -

- Status changed from Feedback to Closed

Giovanni Manghi wrote:

| take it that you were able to classify on the attribute teste without a crash? What revision are you using?

I do. I'm using qgis master, Ubuntu 11.10 64 bit.

Thanks for making the suggestion to make a clean build. After a make clean and uninstall, | rebuilt qgis and restested the teste.shp file. There are no more

crashes, so I'm closing this bug report.

#7 - 2012-01-30 11:13 AM - Giovanni Manghi

- Resolution set to invalid

Files

teste_shp.zip 1.96 KB 2012-01-27 Giovanni Manghi
